Bug 1106672 - premake: FTBFS in rawhide
Summary: premake: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: premake
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joachim de Groot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 17:05 UTC by Dennis Gilmore
Modified: 2014-07-08 03:45 UTC (History)
2 users (show)

Fixed In Version: premake-4.3-9.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 03:45:12 UTC
Type: ---


Attachments (Terms of Use)
build.log (10.03 KB, text/plain)
2014-06-09 17:05 UTC, Dennis Gilmore
no flags Details
root.log (74.49 KB, text/plain)
2014-06-09 17:05 UTC, Dennis Gilmore
no flags Details
state.log (1.06 KB, text/plain)
2014-06-09 17:05 UTC, Dennis Gilmore
no flags Details
Patch for rawhide (2.38 KB, patch)
2014-06-11 05:30 UTC, Yaakov Selkowitz
no flags Details | Diff
git format-patch (2.74 KB, patch)
2014-06-26 23:56 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2014-06-09 17:05:21 UTC
Your package premake failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6975294

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-09 17:05:24 UTC
Created attachment 904979 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-09 17:05:25 UTC
Created attachment 904980 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-09 17:05:27 UTC
Created attachment 904981 [details]
state.log

Comment 4 Yaakov Selkowitz 2014-06-11 05:30:56 UTC
Created attachment 907484 [details]
Patch for rawhide

Problem was incompatibility with lua-5.2; note that this also failed in F20 (see bug 992822).  Patch attached for rawhide to use compat-lua instead.

Comment 5 Yaakov Selkowitz 2014-06-26 23:56:54 UTC
Created attachment 912607 [details]
git format-patch


Note You need to log in before you can comment on or make changes to this bug.